<div class="w-450">

  <mat-card>
    <mat-card-header>
      <mat-card-title>{{actionName}} CheckList</mat-card-title>
    </mat-card-header>

    <mat-card-content>
      <div>
        <form *ngIf="categories.length > 0" [formGroup]="checkListForm" class="flx-clmn" #checkListFormFormDirectivecategoryFormDirective="ngForm" >
          <mat-form-field appearance="outline" >
            <mat-label>Descrição</mat-label>
            <input matInput type="text" formControlName="description">
            <mat-error *ngIf="checkListForm.controls['description'].errors?.['required']">Descrição é obrigatório</mat-error>
          </mat-form-field>

          <mat-form-field appearance="outline">
            <mat-label>Categoria</mat-label>
            <mat-select formControlName="category" [compareWith]="compareCategories">
              <mat-option *ngFor="let category of categories" [value]="category">{{category.name}}</mat-option>
            </mat-select>
            <mat-error *ngIf="checkListForm.controls['category'].errors?.['required']">Categoria é obrigatório</mat-error>
          </mat-form-field>

          <div class="flx-center-row flx-evly">
            <section>
              <mat-checkbox formControlName="isCompleted">Completo?</mat-checkbox>
            </section>

            <mat-form-field appearance="outline">
              <mat-label>Data de Finalização</mat-label>
              <input matInput [matDatepicker]="picker" formControlName="deadline">
              <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
              <mat-datepicker #picker></mat-datepicker>
              <mat-error *ngIf="checkListForm.controls['deadline'].errors?.['required']">Data finalização é obrigatório</mat-error>
            </mat-form-field>

          </div>

        </form>

      </div>


    </mat-card-content>

    <mat-card-actions class="flx-center-row flx-evly">
      <button (click)="cancel()" mat-raised-button color="warn">Cancelar</button>
      <button (click)="save()" mat-raised-button color="primary">Salvar</button>

    </mat-card-actions>



  </mat-card>


</div>
